import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * hyperlinkExecuting event.
*/
export class IgcSpreadsheetHyperlinkExecutingEventArgs extends IgcCancelEventArgs {
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
    /**
     * Returns the hyperlink to be executed.
    */
    get hyperlink() {
        return this.i.hyperlink;
    }
    /**
     * Returns or sets the working directory to use when the hyperlink is a file reference.
    */
    get workingDirectory() {
        return this.i.workingDirectory;
    }
    set workingDirectory(v) {
        this.i.workingDirectory = v;
    }
}
